package com.icomsys.main_vm.db.mybatis.mapper;

import com.icomsys.main_vm.db.mybatis.alias.MonitoringConsultingVO;
import org.apache.ibatis.annotations.Mapper;

import java.util.HashMap;
import java.util.List;

@Mapper
public interface MonitoringConsultingMapper {
    List<HashMap> selectConsultingList(MonitoringConsultingVO vo);

    int selectConsultingListCnt(MonitoringConsultingVO vo);

    List<HashMap> selectRecordCallList(MonitoringConsultingVO vo);

    List<HashMap> selectScenarioSeqAndName(MonitoringConsultingVO vo);

    List<HashMap> selectCommonCodeAndDesc(MonitoringConsultingVO vo);
    int selectUserCallCnt(MonitoringConsultingVO vo);
}
